Browse Source

Syncing changes from desktop

Simon Watson 1 year ago
parent
commit
f7fd64f6aa
6 changed files with 69 additions and 9 deletions
  1. 1 0
      bashrc/.wal_alias
  2. 3 3
      bashrc/bashrc-all
  3. 1 1
      bashrc/wal_alias
  4. 33 0
      bashrc/wal_walker_light.sh
  5. 27 5
      emacs/.emacs-all
  6. 4 0
      lemonbar/swatson-casana/startLemon.sh

+ 1 - 0
bashrc/.wal_alias

@@ -0,0 +1 @@
+alias wal-base16-atelier-plateau='wal -n -e --theme base16-atelier-plateau'

+ 3 - 3
bashrc/bashrc-all

@@ -66,11 +66,11 @@ fi
 # Stop myself from opening vim when I mean to open emacs on the term
 vim()
 {
-	if [[ $(ps aux | grep -v grep | grep emacs) ]];
+	if [[ "$(ps aux | grep -v grep | grep emacs)" ]];
 	then
 		# using anemic term/color/etc as it's faster in emacs
-		TERM=tmux emacsclient -c $1 &
-		export EDITOR="emacsclient"
+		TERM=tmux emacsclient $1 &
+		export EDITOR="emacsclient -c"
 	else
 		VIM_PATH=$(which vim)
 		$VIM_PATH $1

+ 1 - 1
bashrc/wal_alias

@@ -15,7 +15,7 @@ alias wal-vscode='wal -n -e --theme vscode'
 alias wal-dkegp='wal -n -e --theme dkeg-prevail'
 alias wal-sexyrydgel='wal -n -e --theme sexy-rydgel'
 alias wal-base16-google-light='wal -n -e --theme base16-google -l '
-
+alias wal-base16-atelier-est-l='wal --theme base16-atelier-estuary -l'
 alias wal-base16-black-metal='wal -n -e --theme base16-black-metal'
 alias wal-base16-brushtrees='wal -n -e --theme base16-brushtrees'
 alias wal-base16-materialer='wal -n -e --theme base16-materialer'

+ 33 - 0
bashrc/wal_walker_light.sh

@@ -0,0 +1,33 @@
+#!/bin/bash
+
+# Walk through all wal built in themes,
+# prompting the user to pluck one into .wal_alias with
+# the following format:
+# 	alias wal-$theme_name='wal --theme $theme_name'
+
+for theme in $(wal --theme | grep - | grep -v random | sed s/\ -\ //g); do
+	echo
+	echo
+	echo $theme
+	check_theme=$(grep $theme .wal_alias > /dev/null 2>&1; echo $?)
+	if [[ $check_theme -eq 0 ]]; then
+		echo "Skipping $theme, already have an alias"
+		continue
+	fi
+	wal -n -e --theme $theme -l
+	if [ $? -ne 0 ]; then
+		echo "Wal failed on dark theme for $theme, trying light"
+		wal -n -e --theme $theme -l
+		read -p "Store this theme? " REPLY
+		if [[ $REPLY =~ ^[Yy] ]]; then
+			echo "alias wal-$theme='wal -n -e --theme $theme -l'" >> .wal_alias
+		fi
+	else
+		read -p "Store this theme? " REPLY
+		if [[ $REPLY =~ ^[Yy] ]]; then
+			echo "alias wal-$theme='wal -n -e --theme $theme'" >> .wal_alias
+		fi
+	fi
+
+done
+

+ 27 - 5
emacs/.emacs-all

@@ -84,10 +84,13 @@
             (set (make-local-variable 'buffer-face-mode-face) 'fixed-pitch)
             (buffer-face-mode t)))
 
-(global-set-key (kbd "C-<escape>") 'vterm-send-escape)
-(global-set-key (kbd "C-c C-s") 'vterm-send-C-r)
-(global-set-key (kbd "C-c C-u") 'vterm-send-C-u)
-(global-set-key (kbd "C-c C-d") 'vterm-send-C-d)
+(global-set-key (kbd "C-c <escape>") 'vterm-send-escape) ;
+(global-set-key (kbd "C-c C-u") 'vterm-send-C-u) ; Readline line
+(global-set-key (kbd "C-c C-w") 'vterm-send-C-w) ; Readline word
+(global-set-key (kbd "C-c C-d") 'vterm-send-C-d) ; Exit
+(global-set-key (kbd "C-c C-r") 'vterm-send-C-r) ; Reverse search
+(global-set-key (kbd "C-b") 'vterm-send-C-b) ; Tmux
+(global-set-key (kbd "C-c C-a") 'vterm-send-C-a) ; Exit screen
 
 ;;; Syntax highlights for uxn-tal
 (straight-use-package
@@ -307,7 +310,7 @@
 				       (emacs-lisp-mode))))
 (global-set-key (kbd "C-c l") 'display-line-numbers-mode)
 (global-set-key (kbd "C-c w") 'window-swap-states)
-(global-set-key (kbd "C-c C-w") 'windresize)
+(global-set-key (kbd "C-c C-W") 'windresize)
 (global-set-key (kbd "C-c W") 'whitespace-mode)
 (global-set-key (kbd "C-c t") 'sol-dk)
 (global-set-key (kbd "C-c y") 'sol-l) 
@@ -435,3 +438,22 @@
 				      (shell-command-on-region (point) (mark) "xclip -selection clipboard")))
     (load (expand-file-name "~/quicklisp/slime-helper.el"))
     (setq inferior-lisp-program (locate-file "sbcl" exec-path exec-suffixes 1))))
+(custom-set-variables
+ ;; custom-set-variables was added by Custom.
+ ;; If you edit it by hand, you could mess it up, so be careful.
+ ;; Your init file should contain only one such instance.
+ ;; If there is more than one, they won't work right.
+ '(custom-safe-themes
+   '("ab058aa22bdaf17b5d8a9e21632a62c8966728ae10ef8fd07e95637e9cdf7a7b" "f0eb51d80f73b247eb03ab216f94e9f86177863fb7e48b44aacaddbfe3357cf1" "4c56af497ddf0e30f65a7232a8ee21b3d62a8c332c6b268c81e9ea99b11da0d3" "fee7287586b17efbfda432f05539b58e86e059e78006ce9237b8732fde991b4c" "2809bcb77ad21312897b541134981282dc455ccd7c14d74cc333b6e549b824f3" "c433c87bd4b64b8ba9890e8ed64597ea0f8eb0396f4c9a9e01bd20a04d15d358" "0fffa9669425ff140ff2ae8568c7719705ef33b7a927a0ba7c5e2ffcfac09b75" "01106ca9b4446341ecb86a76b9db48f1100e2eb13980aa0ec6f6adf8e69fd9a7" default))
+ '(display-time-mode t)
+ '(frame-background-mode 'dark))
+(custom-set-faces
+ ;; custom-set-faces was added by Custom.
+ ;; If you edit it by hand, you could mess it up, so be careful.
+ ;; Your init file should contain only one such instance.
+ ;; If there is more than one, they won't work right.
+ '(default ((t (:family "Envy Code R" :foundry "UNKN" :slant normal :weight normal :height 100 :width normal))))
+ '(org-level-1 ((t (:inherit variable-pitch :foreground "#cb4b16" :height 1.0))))
+ '(org-level-2 ((t (:inherit variable-pitch :foreground "#859900" :height 1.0))))
+ '(org-level-3 ((t (:inherit variable-pitch :foreground "#268bd2" :height 1.0))))
+ '(org-level-4 ((t (:inherit variable-pitch :foreground "#b58900" :height 1.0)))))

+ 4 - 0
lemonbar/swatson-casana/startLemon.sh

@@ -13,6 +13,10 @@ if [[ $1 == "--single-1440" ]]; then
     /home/swatson/.config/lemonbar/bar.sh | lemonbar -p -g 1440x15+0+0
 fi
 
+if [[ $1 == "--720-side-car" ]]; then
+    /home/swatson/.config/lemonbar/bar.sh | lemonbar -p -g 1360x15+1920
+fi
+
 if [ $(xrandr --query | grep '\bconnected\b' | wc -l) -gt 1 ]; then
     /home/swatson/.config/lemonbar/bar.sh | lemonbar -p -g 3440x15+1920
 else